HubSpot CRM card: Eventlink registrations for a record
curl --request POST \
--url https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations \
--header 'Content-Type: application/json' \
--data '
{
"objectType": "CONTACT",
"emails": [
"[email protected]"
],
"hubspotContactIds": [
"<string>"
],
"limit": 20,
"cursor": "<string>"
}
'import requests
url = "https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations"
payload = {
"objectType": "CONTACT",
"emails": ["[email protected]"],
"hubspotContactIds": ["<string>"],
"limit": 20,
"cursor": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
objectType: 'CONTACT',
emails: ['[email protected]'],
hubspotContactIds: ['<string>'],
limit: 20,
cursor: '<string>'
})
};
fetch('https://api.eventlink.co/api/v1/integrations/hubspot/cards/registrations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"registrationId": "<string>",
"status": "registered",
"eventName": "<string>",
"eventDate": "2023-11-07T05:31:56Z",
"ticketType": "free",
"dashboardUrl": "<string>"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}integrations
HubSpot CRM card: Eventlink registrations for a record
Returns Eventlink registrations for a HubSpot contact on published events that are not canceled. Verifies the HubSpot v3 request signature and scopes results to the workspace whose metadata.hubspotPortalId matches portalId. Refuses the request when that connection needs a reconnect or more than one workspace matches the portal.
POST
/
api
/
v1
/
integrations
/
hubspot
/
cards
/
registrations
HubSpot CRM card: Eventlink registrations for a record
Query Parameters
HubSpot portal id (hub_id). hubspot.fetch appends this query parameter and includes it in the v3 signature. Matched against organization integration metadata.hubspotPortalId.
Minimum string length:
1Example:
"12345678"
Body
application/json
Available options:
CONTACT Example:
"CONTACT"
Maximum array length:
100Maximum array length:
100Pattern:
^\d{1,20}$Required range:
1 <= x <= 50Example:
20
Offset cursor returned by the previous page.
Pattern:
^\d+$